overwatch_league 1.1.0 → 1.1.1

This diff has not been reviewed by any users.
Log in in order to be able to vote.
checksums.yaml CHANGED
@@ -1,7 +1,7 @@
1
1
  ---
2
- SHA1:
3
- metadata.gz: 32524768bba4a7ccef8a34be84e079dcac99e450
4
- data.tar.gz: f112601aa7532ce418d60f42451e407d00b6a6ac
2
+ SHA256:
3
+ metadata.gz: 95d811e422f81a13b7aa7d470d8b8dfebf00a54a24f1f0f4a9c6df5d2a7f59d8
4
+ data.tar.gz: 220d8611233ab65853f61cb122cd24eb942c0ca968cb079c0802a7a3e70df355
5
5
  SHA512:
6
- metadata.gz: eea91b206bf68948b0e3ad83607ab6c2fb9bf8aebb92f757cf537636ec8cc74c965d5a551371c621189fb8730c2f0b22e812d3515c18425fedd6f6fe35462093
7
- data.tar.gz: eecdc6817a6b0bd9559e41ec7a455fe70960a46eea33158d9d0d2410f6a60eb3ddfcf205fd5411376ebb5e88b4744a8002823248c26113de570ca62c31a53c35
6
+ metadata.gz: 187c55c6fb0d9761d3c7c0d586efe9649804565f1bc674df2cc50086d4193a1f19356b57f41ccf385a1d6d71c00df062a0f85c43ba95bde9cc564f6fa5e0c2bb
7
+ data.tar.gz: 81e20f69e71b38d5082c5d1418245931fd94754054ad0ed0ae9cefae61000e1f64d027fd4081218692907e554c2d14619f0c1a61619b4a9a7478535739437207
data/.gitignore CHANGED
File without changes
data/.rspec CHANGED
File without changes
File without changes
@@ -4,6 +4,10 @@ All notable changes to this project will be documented in this file.
4
4
  The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/)
5
5
  and this project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html).
6
6
 
7
+ ## [1.1.1] - 2020-06-30
8
+ ### Security
9
+ - Bump Rake version
10
+
7
11
  ## [1.1.0] - 2018-05-15
8
12
  ### Added
9
13
  - Support for the live match endpoint (`client.live_match`)
data/Gemfile CHANGED
File without changes
File without changes
data/README.md CHANGED
@@ -37,6 +37,8 @@ The following methods are supported as part of the basic client.
37
37
 
38
38
  > `match(match_id)`
39
39
 
40
+ > `live_match`
41
+
40
42
  > `schedule`
41
43
 
42
44
  > `streams`
data/Rakefile CHANGED
File without changes
File without changes
data/bin/setup CHANGED
File without changes
File without changes
File without changes
File without changes
File without changes
File without changes
File without changes
File without changes
@@ -1,3 +1,3 @@
1
1
  module OverwatchLeague
2
- VERSION = "1.1.0"
2
+ VERSION = "1.1.1"
3
3
  end
@@ -27,8 +27,8 @@ Gem::Specification.new do |spec|
27
27
  spec.executables = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
28
28
  spec.require_paths = ["lib"]
29
29
 
30
- spec.add_development_dependency "bundler", "~> 1.11"
31
- spec.add_development_dependency "rake", "~> 10.0"
30
+ spec.add_development_dependency "bundler"
31
+ spec.add_development_dependency "rake", ">= 12.3.3"
32
32
  spec.add_development_dependency "rspec", "~> 3.0"
33
33
  spec.add_development_dependency "webmock", "~> 3.3"
34
34
  spec.add_development_dependency "simplecov"
metadata CHANGED
@@ -1,43 +1,43 @@
1
1
  --- !ruby/object:Gem::Specification
2
2
  name: overwatch_league
3
3
  version: !ruby/object:Gem::Version
4
- version: 1.1.0
4
+ version: 1.1.1
5
5
  platform: ruby
6
6
  authors:
7
7
  - James Gayfer
8
8
  autorequire:
9
9
  bindir: exe
10
10
  cert_chain: []
11
- date: 2018-05-16 00:00:00.000000000 Z
11
+ date: 2020-06-30 00:00:00.000000000 Z
12
12
  dependencies:
13
13
  - !ruby/object:Gem::Dependency
14
14
  name: bundler
15
15
  requirement: !ruby/object:Gem::Requirement
16
16
  requirements:
17
- - - "~>"
17
+ - - ">="
18
18
  - !ruby/object:Gem::Version
19
- version: '1.11'
19
+ version: '0'
20
20
  type: :development
21
21
  prerelease: false
22
22
  version_requirements: !ruby/object:Gem::Requirement
23
23
  requirements:
24
- - - "~>"
24
+ - - ">="
25
25
  - !ruby/object:Gem::Version
26
- version: '1.11'
26
+ version: '0'
27
27
  - !ruby/object:Gem::Dependency
28
28
  name: rake
29
29
  requirement: !ruby/object:Gem::Requirement
30
30
  requirements:
31
- - - "~>"
31
+ - - ">="
32
32
  - !ruby/object:Gem::Version
33
- version: '10.0'
33
+ version: 12.3.3
34
34
  type: :development
35
35
  prerelease: false
36
36
  version_requirements: !ruby/object:Gem::Requirement
37
37
  requirements:
38
- - - "~>"
38
+ - - ">="
39
39
  - !ruby/object:Gem::Version
40
- version: '10.0'
40
+ version: 12.3.3
41
41
  - !ruby/object:Gem::Dependency
42
42
  name: rspec
43
43
  requirement: !ruby/object:Gem::Requirement
@@ -154,8 +154,7 @@ required_rubygems_version: !ruby/object:Gem::Requirement
154
154
  - !ruby/object:Gem::Version
155
155
  version: '0'
156
156
  requirements: []
157
- rubyforge_project:
158
- rubygems_version: 2.5.2.1
157
+ rubygems_version: 3.0.3
159
158
  signing_key:
160
159
  specification_version: 4
161
160
  summary: Ruby wrapper for the Overwatch League API